HibernateDAOFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.HibernateDAOFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class HibernateDAOFactory

    java.lang.Object
      org.hyperic.dao.DAOFactory
          org.hyperic.hq.dao.HibernateDAOFactory

    public class HibernateDAOFactory

extends DAOFactory

Constructor Summary
`protected` | `HibernateDAOFactory()`

Method Summary
`ActionDAO` | `getActionDAO()`
`AgentReportStatusDAO` | `getAgentReportStatusDAO()`
`AIHistoryDAO` | `getAIHistoryDAO()`
`AIIpDAO` | `getAIIpDAO()`
`AIPlatformDAO` | `getAIPlatformDAO()`
`AIScheduleDAO` | `getAIScheduleDAO()`
`AIServerDAO` | `getAIServerDAO()`
`AIServiceDAO` | `getAIServiceDAO()`
`AlertActionLogDAO` | `getAlertActionLogDAO()`
`AlertConditionLogDAO` | `getAlertConditionLogDAO()`
`AlertDAO` | `getAlertDAO()`
`AlertDefinitionDAO` | `getAlertDefDAO()`
`AppServiceDAO` | `getAppServiceDAO()`
`AppSvcDependencyDAO` | `getAppSvcDepencyDAO()`
`ConfigPropertyDAO` | `getConfigPropertyDAO()`
`ConfigResponseDAO` | `getConfigResponseDAO()`
`CpropKeyDAO` | `getCpropKeyDAO()`
`CrispoDAO` | `getCrispoDAO()`
`CrispoOptionDAO` | `getCrispoOptionDAO()`
`org.hibernate.Session` | `getCurrentSession()`
`ExecutionStrategyTypeInfoDAO` | `getExecutionStrategyTypeInfoDAO()`
`static HibernateDAOFactory` | `getInstance()`
`PlatformDAO` | `getPlatformDAO()`
`ResourceDAO` | `getResourceDAO()`
`ResourceGroupDAO` | `getResourceGroupDAO()`
`ResourceTypeDAO` | `getResourceTypeDAO()`
`RoleDAO` | `getRoleDAO()`
`ServerDAO` | `getServerDAO()`
`ServerTypeDAO` | `getServerTypeDAO()`
`ServiceDAO` | `getServiceDAO()`
`ServiceTypeDAO` | `getServiceTypeDAO()`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`TriggerDAO` | `getTriggerDAO()`
`VirtualDAO` | `getVirtualDAO()`

Methods inherited from class org.hyperic.dao.DAOFactory
`getDAOFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateDAOFactory

    protected HibernateDAOFactory()

Method Detail

### getInstance

    public static HibernateDAOFactory getInstance()

### getCurrentSession

    public org.hibernate.Session getCurrentSession()

  Specified by:
    `getCurrentSession` in class `DAOFactory`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

### getActionDAO

    public ActionDAO getActionDAO()

  Specified by:
    `getActionDAO` in class `DAOFactory`

### getAlertDefDAO

    public AlertDefinitionDAO getAlertDefDAO()

  Specified by:
    `getAlertDefDAO` in class `DAOFactory`

### getAgentReportStatusDAO

    public AgentReportStatusDAO getAgentReportStatusDAO()

### getAppServiceDAO

    public AppServiceDAO getAppServiceDAO()

  Specified by:
    `getAppServiceDAO` in class `DAOFactory`

### getAppSvcDepencyDAO

    public AppSvcDependencyDAO getAppSvcDepencyDAO()

  Specified by:
    `getAppSvcDepencyDAO` in class `DAOFactory`

### getConfigResponseDAO

    public ConfigResponseDAO getConfigResponseDAO()

  Specified by:
    `getConfigResponseDAO` in class `DAOFactory`

### getCpropKeyDAO

    public CpropKeyDAO getCpropKeyDAO()

  Specified by:
    `getCpropKeyDAO` in class `DAOFactory`

### getPlatformDAO

    public PlatformDAO getPlatformDAO()

  Specified by:
    `getPlatformDAO` in class `DAOFactory`

### getServerDAO

    public ServerDAO getServerDAO()

  Specified by:
    `getServerDAO` in class `DAOFactory`

### getServerTypeDAO

    public ServerTypeDAO getServerTypeDAO()

  Specified by:
    `getServerTypeDAO` in class `DAOFactory`

### getServiceDAO

    public ServiceDAO getServiceDAO()

  Specified by:
    `getServiceDAO` in class `DAOFactory`

### getTriggerDAO

    public TriggerDAO getTriggerDAO()

  Specified by:
    `getTriggerDAO` in class `DAOFactory`

### getServiceTypeDAO

    public ServiceTypeDAO getServiceTypeDAO()

  Specified by:
    `getServiceTypeDAO` in class `DAOFactory`

### getResourceDAO

    public ResourceDAO getResourceDAO()

  Specified by:
    `getResourceDAO` in class `DAOFactory`

### getResourceGroupDAO

    public ResourceGroupDAO getResourceGroupDAO()

  Specified by:
    `getResourceGroupDAO` in class `DAOFactory`

### getResourceTypeDAO

    public ResourceTypeDAO getResourceTypeDAO()

  Specified by:
    `getResourceTypeDAO` in class `DAOFactory`

### getRoleDAO

    public RoleDAO getRoleDAO()

  Specified by:
    `getRoleDAO` in class `DAOFactory`

### getAIPlatformDAO

    public AIPlatformDAO getAIPlatformDAO()

  Specified by:
    `getAIPlatformDAO` in class `DAOFactory`

### getAIServerDAO

    public AIServerDAO getAIServerDAO()

  Specified by:
    `getAIServerDAO` in class `DAOFactory`

### getAIServiceDAO

    public AIServiceDAO getAIServiceDAO()

  Specified by:
    `getAIServiceDAO` in class `DAOFactory`

### getAIIpDAO

    public AIIpDAO getAIIpDAO()

  Specified by:
    `getAIIpDAO` in class `DAOFactory`

### getAIHistoryDAO

    public AIHistoryDAO getAIHistoryDAO()

  Specified by:
    `getAIHistoryDAO` in class `DAOFactory`

### getAIScheduleDAO

    public AIScheduleDAO getAIScheduleDAO()

  Specified by:
    `getAIScheduleDAO` in class `DAOFactory`

### getConfigPropertyDAO

    public ConfigPropertyDAO getConfigPropertyDAO()

  Specified by:
    `getConfigPropertyDAO` in class `DAOFactory`

### getAlertActionLogDAO

    public AlertActionLogDAO getAlertActionLogDAO()

  Specified by:
    `getAlertActionLogDAO` in class `DAOFactory`

### getAlertConditionLogDAO

    public AlertConditionLogDAO getAlertConditionLogDAO()

  Specified by:
    `getAlertConditionLogDAO` in class `DAOFactory`

### getVirtualDAO

    public VirtualDAO getVirtualDAO()

  Specified by:
    `getVirtualDAO` in class `DAOFactory`

### getCrispoDAO

    public CrispoDAO getCrispoDAO()

  Specified by:
    `getCrispoDAO` in class `DAOFactory`

### getCrispoOptionDAO

    public CrispoOptionDAO getCrispoOptionDAO()

  Specified by:
    `getCrispoOptionDAO` in class `DAOFactory`

### getExecutionStrategyTypeInfoDAO

    public ExecutionStrategyTypeInfoDAO getExecutionStrategyTypeInfoDAO()

### getAlertDAO

    public AlertDAO getAlertDAO()

  Specified by:
    `getAlertDAO` in class `DAOFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.